Foxit PDF SDK

Instance Methods | List of all members
FSLRContentElement Class Reference
Inheritance diagram for FSLRContentElement:

## Instance Methods
(FSRectF *) | - getBBox
| Get bounding box. More...
(FSLRGraphicsObjectElement *) | - getGraphicsObjectElement
| Get the related graphics object element. More...
(FSRange *) | - getGraphicsObjectRange
| Get the range of current content element in current graphics object. More...
(FSMatrix2D *) | - getMatrix
| Get matrix. More...
(FSLRStructureElement *) | - getParentElement
| Get the parent element. More...
(id) | - initWithElement:
| Constructor, with parent class object. More...
(id) | - initWithOther:
| Constructor, with another content element object. More...
Instance Methods inherited from FSLRElement
(FSLRElementElementType) | - getElementType
| Get element type. More...
(id) | - initWithOther:
| Constructor, with another base element object. More...
(BOOL) | - isContentElement
| Check whether current object is content element or not. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - isGraphicsObjectElement
| Check whether current object is graphics object element or not. More...
(BOOL) | - isStructureElement
| Check whether current object is structure element or not. More...
(NSString *) | - stringifyType
| Convert type (enum value) of current element to a short and memorable string (text) representation. More...

## Additional Inherited Members
Class Methods inherited from FSLRElement
(NSString *) | + stringifyElementType:
| Convert enum value of a specified element type to a short and memorable string (text) representation. More...

## Detailed Description

This class represents a content element. A content element contains the content from the graphics object.

## Method Documentation

## ◆ getBBox()

- (FSRectF *) getBBox |  |  |

Get bounding box.

Returns
  Bounding box.

## ◆ getGraphicsObjectElement()

- (FSLRGraphicsObjectElement *) getGraphicsObjectElement |  |  |

Get the related graphics object element.

Returns
  Related graphics object element. If function LRGraphicsObjectElement::IsEmpty for the returned object returns YES, that means current element does not have a parent element.

## ◆ getGraphicsObjectRange()

- (FSRange *) getGraphicsObjectRange |  |  |

Get the range of current content element in current graphics object.

All the indexes specified in the range represents current content element in the graphics object position.

Returns
  A range object.

## ◆ getMatrix()

- (FSMatrix2D *) getMatrix |  |  |

Get matrix.

Returns
  Matrix.

## ◆ getParentElement()

- (FSLRStructureElement *) getParentElement |  |  |

Get the parent element.

Returns
  Parent element. If function LRStructureElement::IsEmpty for the returned object returns YES, that means current element does not have a parent element.

## ◆ initWithElement:()

- (id) initWithElement: |  | (FSLRElement*) | element |

Constructor, with parent class object.

Parameters

  [in] | element | Parent class object.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSLRContentElement*) | other |

Constructor, with another content element object.

Parameters

  [in] | other | Another content element object.